# Tasks

## List all tasks

 - [GET /tasks](https://developers.kanbert.com/api/tasks/tasks.index.md): Required scopes: task-management:read

## Create a task

 - [POST /tasks](https://developers.kanbert.com/api/tasks/tasks.store.md): Required scopes: task-management:write

## Retrieve a task

 - [GET /tasks/{id}](https://developers.kanbert.com/api/tasks/tasks.show.md): Required scopes: task-management:read

## Archive a task

 - [DELETE /tasks/{id}](https://developers.kanbert.com/api/tasks/tasks.delete.md): Required scopes: task-management:write

## Update a task

 - [PATCH /tasks/{task}](https://developers.kanbert.com/api/tasks/tasks.update.md): Required scopes: task-management:write

## Update a tasks's external identifier

 - [PUT /tasks/{id}/external-identifier](https://developers.kanbert.com/api/tasks/tasks.updateexternalid.md): Required scopes: client:write

## Upload file to a task

 - [POST /tasks/{id}/upload](https://developers.kanbert.com/api/tasks/tasks.upload.md): Required scopes: task-management:write

## Task created

 - [POST task:created](https://developers.kanbert.com/api/tasks/paths/task:created/post.md): task:create - A new task was created

## Task updated

 - [POST task:updated](https://developers.kanbert.com/api/tasks/paths/task:updated/post.md): task:update A Task was updated

## Task deleted

 - [POST task:deleted](https://developers.kanbert.com/api/tasks/paths/task:deleted/post.md): task:delete - A task was deleted

